/// <reference types="react" />
export declare const Form: ({ activeInputIndex, cursorOffset, pattern, search, searchError, patternError, replace, children, }: {
    activeInputIndex: number;
    cursorOffset: number;
    pattern: string;
    search: string;
    searchError?: string | undefined;
    patternError?: string | undefined;
    replace: string;
    children: any;
}) => JSX.Element;
export declare const Input: ({ placeholder, active, value, cursorOffset, errorMessage, label, }: {
    placeholder?: string | undefined;
    active: boolean;
    value: string;
    cursorOffset: number;
    errorMessage?: string | undefined;
    label?: string | undefined;
}) => JSX.Element;
