"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = exports.Form = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ink_1 = require("ink");
const Form = ({ activeInputIndex, cursorOffset, pattern, search, searchError, patternError, replace, children, }) => {
    return jsx_runtime_1.jsx(ink_1.Box, Object.assign({ flexDirection: "column" }, { children: children }), void 0);
};
exports.Form = Form;
const Input = ({ placeholder, active, value, cursorOffset, errorMessage, label, }) => {
    const textWithCursor = (text) => {
        if (cursorOffset === text.length) {
            return (jsx_runtime_1.jsxs(ink_1.Text, { children: [text, jsx_runtime_1.jsx(ink_1.Text, Object.assign({ inverse: true }, { children: " " }), void 0)] }, void 0));
        }
        return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(ink_1.Text, { children: text.substr(0, cursorOffset) }, void 0),
                jsx_runtime_1.jsx(ink_1.Text, Object.assign({ inverse: true }, { children: text.substr(cursorOffset, 1) }), void 0),
                jsx_runtime_1.jsx(ink_1.Text, { children: text.substr(cursorOffset + 1) }, void 0)] }, void 0));
    };
    return (jsx_runtime_1.jsxs(ink_1.Text, { children: [jsx_runtime_1.jsx(ink_1.Text, Object.assign({ dimColor: true }, { children: label }), void 0),
            jsx_runtime_1.jsx(ink_1.Text, Object.assign({ color: active ? 'magenta' : 'white' }, { children: '| ' }), void 0),
            !value && placeholder ? (jsx_runtime_1.jsx(ink_1.Text, Object.assign({ color: "dim" }, { children: active ? textWithCursor(placeholder) : placeholder }), void 0)) : (jsx_runtime_1.jsxs(ink_1.Text, { children: [active ? textWithCursor(value) : value, jsx_runtime_1.jsxs(ink_1.Text, Object.assign({ color: "red" }, { children: [" ", errorMessage] }), void 0)] }, void 0))] }, void 0));
};
exports.Input = Input;
