"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSearchColor = exports.getReplaceColor = void 0;
const chalk_1 = __importDefault(require("chalk"));
const getReplaceColor = () => {
    const level = chalk_1.default.level;
    if (level === 3) {
        return chalk_1.default.bgHex('#5f8700').hex('#eeeeee');
    }
    if (level === 2) {
        return chalk_1.default.ansi256(255).bgAnsi256(64);
    }
    return chalk_1.default.white.bgGreen;
};
exports.getReplaceColor = getReplaceColor;
const getSearchColor = () => {
    const level = chalk_1.default.level;
    if (level === 3) {
        return chalk_1.default.bgHex('#af0000').hex('#eeeeee');
    }
    if (level === 2) {
        return chalk_1.default.ansi256(255).bgAnsi256(124);
    }
    return chalk_1.default.white.bgRed;
};
exports.getSearchColor = getSearchColor;
